Package groovy.ui.text

# Class StructuredSyntaxDocumentFilter.MultiLineRun

java.lang.Object
groovy.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

Enclosing class:
  `StructuredSyntaxDocumentFilter`

protected class StructuredSyntaxDocumentFilter.MultiLineRun extends Object

## Constructor Summary

Constructors
Constructor
Description
`MultiLineRun(int start, int end)`
`MultiLineRun(int start, int end, int delimeterSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`end()`
`int`
`getDelimeterSize()`
`int`
`length()`
`int`
`start()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiLineRun

public MultiLineRun(int start, int end) throws BadLocationException

Throws:
  `BadLocationException`

### MultiLineRun

public MultiLineRun(int start, int end, int delimeterSize) throws BadLocationException

Throws:
  `BadLocationException`

## Method Details

### getDelimeterSize

public int getDelimeterSize()

### end

public int end()

### length

public int length()

### start

public int start()

### toString

public String toString()

Overrides:
  `toString` in class `Object`